### Method

# Adw NavigationSplitViewset_sidebar_width_fraction

since: 1.4

#### Declaration [src]

    void
    adw_navigation_split_view_set_sidebar_width_fraction (
      AdwNavigationSplitView* self,
      double fraction
    )

#### Description [src]

Sets the preferred sidebar width as a fraction of the total width of `self`.

The preferred width is additionally limited by `AdwNavigationSplitView:min-sidebar-width` and `AdwNavigationSplitView:max-sidebar-width`.

The sidebar widget can be allocated with larger width if its own minimum width exceeds the preferred width.

Available since: 1.4

Sets property | `Adw.NavigationSplitView:sidebar-width-fraction`

#### Parameters

`fraction`

  Type: `double`

  The preferred width fraction.